﻿Public Class Kostka
	Public barva As Barvy
	Public rozmer As Size
	Public pocet As Integer


	Public Sub New(filString As String)
		Dim parts = filString.Split(New Char() {" "}, StringSplitOptions.RemoveEmptyEntries)
		barva = ParsujBarvu(parts(0))
		rozmer = ParsujVeliost(parts(1))
		pocet = parts(2)
	End Sub

	Public Shared Function ParsujBarvu(barva As Char) As Barvy
		barva = barva.ToString().ToUpper()
		Select Case barva
			Case "A"
				Return Barvy.A
			Case "R"
				Return Barvy.R
			Case "G"
				Return Barvy.G
			Case "B"
				Return Barvy.B
			Case Else
				Return Barvy.Y
		End Select
	End Function

	Public Shared Function ParsujVeliost(velikost As String) As Size
		Dim parts = velikost.Split("X")
		Return New Size(parts(0), parts(1))
	End Function

	Public Function Obsah() As Integer
		Return rozmer.Width * rozmer.Height
	End Function

	Public Sub PridejDoPole(pole As List(Of List(Of Kostka)), pozice As Point)
		For x = pozice.X To pozice.X + Me.rozmer.Width
			For y = pozice.Y To pozice.Y + Me.rozmer.Height
				pole(x)(y) = Me
			Next
		Next
		pocet -= 1
	End Sub


End Class
Public Enum Barvy
	A
	R
	G
	B
	Y
End Enum